Page MenuHomePhabricator

Kernel NFS server support
Closed, WontfixPublic

Description

Kernel don`t have nfsd support.

gb-brix-3000# uname -a
Linux gb-brix-3000 4.4.5-amd64-vyos #1 SMP Fri Mar 11 06:56:45 EST 2016 x86_64 GNU/Linux

gb-brix-3000# systemctl status nfs-kernel-server

       nfs-kernel-server[6698]: Not starting NFS kernel daemon: no support in current kernel. ... (warning).

Apr 19 17:18:56 gb-brix-3000 nfs-kernel-server[6725]: Starting NFS kernel daemon: nfsdrpc.nfsd: Unable to access /proc/fs/nfsd errno 2 (No such file or directory).
Apr 19 17:18:56 gb-brix-3000 nfs-kernel-server[6725]: Please try, as root, 'mount -t nfsd nfsd /proc/fs/nfsd' and then restart rpc.nfsd to correct the problem
Apr 19 17:18:56 gb-brix-3000 nfs-kernel-server[6725]: failed!
Apr 19 17:18:56 gb-brix-3000 systemd[1]: nfs-kernel-server.service: control process exited, code=exited status=1
Apr 19 17:18:56 gb-brix-3000 systemd[1]: Failed to start LSB: Kernel NFS server support.
Apr 19 17:18:56 gb-brix-3000 systemd[1]: Unit nfs-kernel-server.service entered failed state.

gb-brix-3000# cat config-4.4.5-amd64-vyos | grep NFSD
#CONFIG_NFSD is not set
gb-brix-3000# cat config-4.4.6-amd64-vyos | grep NFSD
#CONFIG_NFSD is not set

Details

Difficulty level
Normal (likely a few hours)
Version
2.0
Reuuke created this task.Apr 19 2016, 2:36 PM
Reuuke updated the task description. (Show Details)Apr 19 2016, 2:55 PM
Reuuke updated the task description. (Show Details)

Could you give an example of an use-case? Because I think this choice was very much by-design.

mickvav added a subscriber: mickvav.EditedApr 19 2016, 8:48 PM

I think Reukke will answer himself, but as for me - typical use-case is a small server, acting as all-in-one solution for small linux workgroup. E.g. a router, ldap-authentication server, common files storage and a web site ;). It would be hard to maintain and keep secure, but it's possible.
N.B. Persomally I need mfs client and I'll double check, whether it's enabled in my branch tomorrow...

In T49#766, @mickvav wrote:

I think Reukke will answer himself, but as for me - typical use-case is a small server, acting as all-in-one solution for small linux workgroup. E.g. a router, ldap-authentication server, common files storage and a web site ;). It would be hard to maintain and keep secure, but it's possible.
N.B. Persomally I need nfs client and I'll double check, whether it's enabled in my branch tomorrow...

In T49#768, @mickvav wrote:
In T49#766, @mickvav wrote:

I think Reukke will answer himself, but as for me - typical use-case is a small server, acting as all-in-one solution for small linux workgroup. E.g. a router, ldap-authentication server, common files storage and a web site ;). It would be hard to maintain and keep secure, but it's possible.
N.B. Persomally I need nfs client and I'll double check, whether it's enabled in my branch tomorrow...

Yes, for this situation. The router will be all-in-one solution router for spoke.

EwaldvanGeffen added a comment.EditedApr 21 2016, 10:26 AM

I think its outside our scope. vyos is a network appliance. it provides services to transfer network traffic or services essential to transfer traffic (dns, dhcp). nfs does touch this aspect at all. Neighter would a radius service but that would enable pppoe-server or hostapd,... to move traffic. Nfs is not a requirement for any deamon to move traffic. ergo outside thhe scope.

Im strongly against mainlining this. there are more than enough alternatives who can and you are free to roll your own.

edit: This argument isn't persé against a nfs server, but if we do this, why shouldn't we implement a web-based torrent client as well? We should pick a well thought principe to adhere to when it comes to including new daemons or large features.

@EwaldvanGeffen
i will be happy to have ability add nfs/nettalk/cifs
for that type of home appliances, not sure how we should handle such deviations
I believe we should not be restrictive in this matter

@dmbaturin put your 5 cents too, please!

aopdal added a subscriber: aopdal.Apr 27 2016, 6:33 AM

Why would anybody want to use a router as a "small server"? General Linux distributions have everything you need for a small server.

From a service provider view running about 80 vyos routers this is really a bad direction for a router.

There are a lot of things needed in a serious router which is needed to be fixed. If Vyos is evolving towards a generic "small server all inclusive" distro it will not be interesting for people like me to use it as a router.

It may be right for Vyos even if it's not good for me, but it would be nice to know if I need to migrate all my routers to something else. If the project wants to create something other than a good router let people know so we know what we can expect. There are probably not just me which see a clarification of the goal for the Vyos in the future. Should Vyos be a nice to have SOHO router or something which are targeted at datacenters and serviceproviders.

Well, I think that anyone, who really needs some specific feature set, nfs server, samba server, whatever, can make and maintain his own fork of vyos-build and it has (almost) no problem to build a speific iso himself.

@mickvav exactly, we looking to provide some support in that direction
@aopdal, I understand your concerns, but also don't find limiting users as something good,
@UnicronNL ported 1.2 to clearfog pro device, NFS server will be a good addition there for example,
we also talked about SIP functionality, all that Network Functions.
It does not about create multi-purpose distro, more like provide ability to build customized images

syncer lowered the priority of this task from High to Wishlist.May 9 2016, 10:00 PM

Changing this to wishlist,
@dmbaturin please comment your view of this
Thanks

syncer closed this task as Wontfix.Jun 10 2018, 3:32 AM
syncer claimed this task.

dropping this

syncer edited projects, added Rejected; removed VyOS 2.0.x.Oct 15 2018, 6:30 AM